Katello - Bug #36970

hammer repository info doesn't return content counts for AC repos
12/07/2023 05:10 PM - lan Ballou

Status: Closed
Priority: Normal
Assignee: lan Ballou
Category: Hammer
Target version: Katello 4.12.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 2251019 Red Hat JIRA:
Pull request: https://github.com/Katello/hammer-cli-kat
ello/pull/919
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=2251019

Description of problem:
“hammer repository info command doesn't return content counts for ansible collection repos.

Version-Release number of selected component (if applicable):
Any Katello with ansible collections repos

How reproducible:
always

Steps to Reproduce:

1. Sync some AC repo (I used galaxy.ansible.com and this requirement: {collections: [{'name': 'theforeman.foreman’, 'version':
'2.1.0'}, {'name’: 'theforeman.operations', 'version': '0.1.0'1]} )

2. run hammer repository info --id <repo-id>

Actual results:

[root@kat ~J# hammer repository info --id 87

Id: 87

Name: AC repo

Label: AC_repo

Description:

Organization: Default Organization

Red Hat Repository: no

Content Type: ansible_collection

Content Label: Default_Organization_AC_prod_AC_repo

Mirroring Policy: Content Only

Url: https://galaxy.ansible.com/

Publish Via HTTP: yes

Published At: https://katello.example.com/pulp_ansible/galaxy/Default_Organization/Library/custom/AC_prod/AC_repo/api/
Relative Path:  Default_Organization/Library/custom/AC_prod/AC_repo

Download Policy:

HTTP Proxy:

HTTP Proxy Policy: global_default_http_proxy
Product:

Id: 307

Name: AC prod

GPG Key:

Sync:

Status: Success

Last Sync Date: 2 minutes

Created: 2023/11/22 10:44:39
Updated: 2023/11/22 10:44:40
Content Counts:
S nothing to see here

Expected results:

Sync:

Status: Success

Last Sync Date: 2 minutes

Created: 2023/11/22 10:44:39
Updated: 2023/11/22 10:44:40

Content Counts:
Ansible Collections: 2 <---------------

Additional info:
Other content-types work just fine:

Content Counts:
Packages: 32842
Source RPMS: 0
Package Groups: 59
Errata: 3191
Module Streams: 716

Content Counts:
Files: 3

Content Counts:

Container Image Manifest Lists: 32
Container Image Manifests: 214
Container Image Tags: 53

Associated revisions

Revision e09be6e8 - 01/10/2024 03:35 PM - lan Ballou

Fixes #36970 - Add missing repo info content counts

History

#1 - 12/07/2023 05:54 PM - lan Ballou

- Subject changed from hammer repository info doesn't return content counts for AC repos

to hammer repository info doesn't return content counts for AC repos

- Category changed from Repositories to Hammer

#2 - 12/07/2023 06:27 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to lan Ballou

- Pull request https://github.com/Katello/hammer-cli-katello/pull/919 added

#3 - 12/13/2023 06:38 PM - Partha Aji
- Target version set to Katello 4.11.0

- Triaged changed from No to Yes

#4 - 12/20/2023 09:13 PM - lan Ballou
- Target version changed from Katello 4.11.0 to Katello 4.12.0

#5 - 01/10/2024 04:00 PM - lan Ballou
- Status changed from Ready For Testing to Closed

Applied in changeset hammer-cli-katello|e09be6e8e25{36559900f7b081a40983f8f64dbf.
